package com.me.brickbuster;

import com.badlogic.gdx.math.MathUtils;
import com.badlogic.gdx.math.Vector2;

public class Utils {

	public static Vector2 reflect(Vector2 incoming, Vector2 surface) {
		Vector2 normal = new Vector2(-surface.y, surface.x);
		return incoming.sub(normal.scl(normal.dot(incoming) * 2));
	}

	public static Vector2 nearestPoint(Vector2 linep1, Vector2 lineDir, Vector2 p1) {
		float lineLen = lineDir.len();
		lineDir.nor();
		Vector2 ballDir = p1.sub(linep1);
		return linep1.add(lineDir.scl(MathUtils.clamp(ballDir.dot(lineDir), 0, lineLen)));
	}

}
